AgentInvoiceAgentInvoice
API ReferenceEstimates

Convert estimate to invoice

Creates a new draft invoice from an estimate's line items and client. The estimate status changes to 'converted'.

POST
/estimates/{id}/convert
AuthorizationBearer <token>

API key issued from your AgentInvoice account settings.

In: header

Path Parameters

id*integer

Estimate ID

Response Body

application/json

curl -X POST "https://app.agentinvoice.co/api/estimates/0/convert"
{
  "id": 101,
  "clientId": 42,
  "invoiceNumber": "INV-0042",
  "status": "draft",
  "currency": "USD",
  "subtotal": "1500.00",
  "taxTotal": "150.00",
  "total": "1650.00",
  "amountPaid": "0.00",
  "notes": "string",
  "terms": "string",
  "dueDate": "2019-08-24T14:15:22Z",
  "issueDate": "2019-08-24T14:15:22Z",
  "sentAt": "2019-08-24T14:15:22Z",
  "paidAt": "2019-08-24T14:15:22Z",
  "publicToken": "string",
  "clientName": "string",
  "clientEmail": "string",
  "lineItems": [
    {
      "id": 1,
      "description": "Web development - 10 hours",
      "quantity": "10.00",
      "unitPrice": "150.00",
      "taxRate": "0.10",
      "amount": "1500.00",
      "sortOrder": 0
    }
  ],
  "stripePaymentLink": "string",
  "stripeCheckoutSessionId": "string",
  "spiffyPaymentLink": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}